<?php

/**
 * @license LGPLv3, http://opensource.org/licenses/LGPL-3.0
 * @copyright Metaways Infosystems GmbH, 2011
 * @copyright Aimeos (aimeos.org), 2015-2018
 * @package MShop
 * @subpackage Stock
 */


namespace Aimeos\MShop\Stock\Manager;


/**
 * Generic interface for stock managers
 * @package MShop
 * @subpackage Stock
 */
interface Iface
	extends \Aimeos\MShop\Common\Manager\Iface, \Aimeos\MShop\Common\Manager\Find\Iface
{
	/**
	 * Decreases the stock level for the given product codes/quantity pairs and type
	 *
	 * @param array $codeqty Associative list of product codes as keys and quantities as values
	 * @param string $type Unique code of the stock type
	 * @return void
	 */
	public function decrease( array $codeqty, $type = 'default' );

	/**
	 * Increases the stock level for the given product codes/quantity pairs and type
	 *
	 * @param array $codeqty Associative list of product codes as keys and quantities as values
	 * @param string $type Unique code of the type
	 */
	public function increase( array $codeqty, $type = 'default' );
}